List Deployments for an agent
curl --request GET \
--url https://api.example.com/deployment-historyimport requests
url = "https://api.example.com/deployment-history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/deployment-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"agent_id": "<string>",
"author_name": "<string>",
"author_email": "<string>",
"branch_name": "<string>",
"build_timestamp": "2023-11-07T05:31:56Z",
"deployment_timestamp": "2023-11-07T05:31:56Z",
"commit_hash": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Deployment History
List Deployments for an agent
List deployment history for an agent.
GET
/
deployment-history
List Deployments for an agent
Query Parameters
Response
Successful Response
The unique identifier of the deployment record
The ID of the agent this deployment belongs to
Name of the commit author
Email of the commit author
Name of the branch
When the build was created
When this deployment was first seen in the system
Git commit hash for this deployment

